## org.apache.hadoop.mapred
Class IsolationRunner

    java.lang.Object
      org.apache.hadoop.mapred.IsolationRunner

    public class IsolationRunner

extends Object

IsolationRunner is intended to facilitate debugging by re-running a specific task, given left-over task files for a (typically failed) past job. Currently, it is limited to re-running map tasks. Users may coerce MapReduce to keep task files around by setting keep.failed.task.files. See mapred_tutorial.xml for more documentation.

Constructor Summary
`IsolationRunner()`

Method Summary
`static void` `main(String[] args)` Run a single task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsolationRunner

    public IsolationRunner()

Method Detail

### main

    public static void main(String[] args)
                     throws ClassNotFoundException,
                            IOException,
                            InterruptedException

  Run a single task.

  Parameters:
    `args` - the first argument is the task directory
  Throws:
    `ClassNotFoundException`
    `IOException`
    `InterruptedException`

Copyright © 2009 The Apache Software Foundation